SbPList(3IV)

NAME
SbPList — list of generic (void *) pointers

INHERITS FROM
SbPList

SYNOPSIS
#include <Inventor/SbPList.h>

Methods from class SbPList:

SbPList()

SbPList(const SbPList &pl)

SbPList(int initSize)

~SbPList()
void
append(void * ptr)
int
find(const void *ptr) const
void
insert(void *ptr, int addBefore)
void
remove(int which)
int
getLength() const
void
truncate(int start)
void
copy(const SbPList &pl)
SbPList &
operator =(const SbPList &pl)
void *&
operator [](int i) const
int
operator ==(const SbPList &pl) const
int
operator !=(const SbPList &pl) const

DESCRIPTION
This class manages a dynamic list of generic void * pointers. This class allows random access, insertion, and removal.

METHODS

SbPList()

SbPList(const SbPList &pl)

SbPList(int initSize)

~SbPList()
Constructors and destructor. initSize specifies an initial size for the list, which is useful as an optimization if you can estimate the length of the list before you construct it. If another SbPList is given, it returns a copy of that list.

void
append(void * ptr)
Adds given pointer to end of list.

int
find(const void *ptr) const
Returns index of given pointer in list, or -1 if not found.

void
insert(void *ptr, int addBefore)
Inserts given pointer in list before pointer with given index.

void
remove(int which)
Removes pointer with given index.

int
getLength() const
Returns number of pointers in list.

void
truncate(int start)
Removes all pointers after one with given index, inclusive.

void
copy(const SbPList &pl)
Copy a list.

SbPList &
operator =(const SbPList &pl)
Assignment operator; copies list into this list.

void *&
operator [](int i) const
Returns pointer with given index.

int
operator ==(const SbPList &pl) const
int
operator !=(const SbPList &pl) const
Equality and inequality operators.

FILE FORMAT/DEFAULTS